function::strpos
Prev | Chapter 28. A collection of standard string functions | Next

## Name

function::strpos — Returns location of a substring within another string

## Synopsis

        strpos:long(s1:string,s2:string)

## Arguments

`s1`

  string to search in

`s2`

  substring to find

## Description

This function returns location of the first occurence of string `s2` within `s1`, namely the return value is 0 in case `s2` is a prefix of `s1`. If `s2` is not a substring of `s1`, then the return value is -1.

Prev | Up | Next
function::strlen | Home | function::strtol